extends Button

func _ready():
	var font = self.get_font("font");
	self.add_font_override("font", font.duplicate())

func _on_Button_mouse_entered():
	(self as Button).get("custom_fonts/font").outline_color = Color(213, 55, 29, 255)

func _on_Button_mouse_exited():
	(self as Button).get("custom_fonts/font").outline_color = Color(0, 0, 0, 255)

func _on_Button_pressed():
	if self.pressed:
		(self as Button).get("custom_fonts/font").outline_color = Color(255, 255, 255, 255)
