extends Control

onready var player = $AnimationPlayer;

func _make_custom_tooltip(for_text)->Control:
	var tooltip = preload("res://CustomTooltipInGame.tscn").instance()
	tooltip.get_node("Node2D").get_node("Label").text = for_text
	return tooltip

func StartBlinking():
	player.play("Blinking");

func _on_KarmaButton_mouse_entered():
	if player.is_playing():
		player.stop();
		modulate = Color(1, 1, 1, 1);
		rect_scale = Vector2(0.3, 0.3);
		rect_position = Vector2(1325, 1029);

func _on_MapButton_mouse_entered():
	if player.is_playing():
		player.stop();
		modulate = Color(1, 1, 1, 1);
		rect_scale = Vector2(0.3, 0.3);
		rect_position = Vector2(1374, 1029);
