extends Sprite

var interpolateTime:float = 1.75;
var state:bool = true;
var tween:Tween;

signal completed;

func _ready():
	tween = get_node("Tween");
	
	

func Fade(value):
	state = value;
	var _temp;
	if value:
		_temp = tween.interpolate_method(self, "SetAlpha", 0.0, 1.0, interpolateTime, Tween.TRANS_LINEAR, 0);
		if get_parent().name == "Root":
			get_parent().InvisibleHistory()
	else :
		_temp = tween.interpolate_method(self, "SetAlpha", 1.0, 0.0, interpolateTime, Tween.TRANS_LINEAR, 0);
	_temp = tween.start();

func SetAlpha(alphaChannel):
	self.material.set_shader_param("alphaChannel", alphaChannel);

func IsPlaying()->bool:
	return tween.is_active();

func _on_Tween_tween_all_completed():
	emit_signal("completed");
	if get_parent().name == "Root":
		get_parent().VisibleHistory()



