extends Node

func _ready():
	pass
	
func SetNames():
	var deathArray = ["1_Death_Knife", 
	"2_Death_Missing", 
	"3_Death_Electricity", 
	"4_Death_Fire", 
	"5_Wounded_Fire", 
	"6_Death_Poison", 
	"7_Death_Stairs", 
	"9_Death_Pistol"
	]
	var deathArrayColors = []
	var deathArrayNames = LanguageLocalization.GetCharNames()
	
	var deathArrayNamesDialogic = ["1_Death_Knife_Name", 
	"2_Death_Missing_Name", 
	"3_Death_Electricity_Name", 
	"4_Death_Fire_Name", 
	"5_Wounded_Fire_Name", 
	"6_Death_Poison_Name", 
	"7_Death_Stairs_Name", 
	"9_Death_Pistol_Name"
	]
	
	for i in deathArray.size():
		deathArrayColors.push_back(Dialogic.get_variable(deathArray[i]))
	
	for i in deathArrayNamesDialogic.size():
		if Dialogic.get_variable("Killer") != "none":
			var killerNameColor = Dialogic.get_variable("Killer")
			if killerNameColor == "Blue":
				killerNameColor += "_F"
			Dialogic.set_variable("Killer_Name", tr(deathArrayNames[killerNameColor]))
		if deathArrayColors[i] != "none":
			Dialogic.set_variable(deathArrayNamesDialogic[i], tr(deathArrayNames[deathArrayColors[i]]))
		else :
			Dialogic.set_variable(deathArrayNamesDialogic[i], "None")
		if Dialogic.get_variable("Is_White_Dead") == "0":
			Dialogic.set_variable("RedWhite_Name", tr(deathArrayNames["White"]))
		else :
			Dialogic.set_variable("RedWhite_Name", tr(deathArrayNames["Red"]))

func Text300311():
	if int(Dialogic.get_variable("Is_Green_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Агата")
		Dialogic.set_variable("TempTextEng", "Agatha")
	else :
		Dialogic.set_variable("TempTextRus", "Рената")
		Dialogic.set_variable("TempTextEng", "Renata")

func Text300316():
	if int(Dialogic.get_variable("Is_Green_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Агата")
		Dialogic.set_variable("TempTextEng", "Agatha")
	else :
		Dialogic.set_variable("TempTextRus", "Рената")
		Dialogic.set_variable("TempTextEng", "Renata")
	
func Text300317():
	if int(Dialogic.get_variable("Is_Green_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Агата")
		Dialogic.set_variable("TempTextEng", "Agatha")
	else :
		Dialogic.set_variable("TempTextRus", "Рената")
		Dialogic.set_variable("TempTextEng", "Renata")
	
func Text301353():
	if int(Dialogic.get_variable("Is_Green_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Агата")
		Dialogic.set_variable("TempTextEng", "Agatha")
	else :
		Dialogic.set_variable("TempTextRus", "Рената")
		Dialogic.set_variable("TempTextEng", "Renata")
		
func Text301811():
	if int(Dialogic.get_variable("Is_Green_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Агата")
		Dialogic.set_variable("TempTextEng", "Agatha")
	elif int(Dialogic.get_variable("Is_Purple_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Дана")
		Dialogic.set_variable("TempTextEng", "Dana")
	elif int(Dialogic.get_variable("Is_Black_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Линда")
		Dialogic.set_variable("TempTextEng", "Linda")
	elif int(Dialogic.get_variable("Is_Orange_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Рената")
		Dialogic.set_variable("TempTextEng", "Renata")
	
func Text302261():
	if int(Dialogic.get_variable("Is_Green_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Агата")
		Dialogic.set_variable("TempTextEng", "Agatha")
	elif int(Dialogic.get_variable("Is_Purple_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Дана")
		Dialogic.set_variable("TempTextEng", "Dana")
	elif int(Dialogic.get_variable("Is_Black_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Линда")
		Dialogic.set_variable("TempTextEng", "Linda")
	elif int(Dialogic.get_variable("Is_Orange_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Рената")
		Dialogic.set_variable("TempTextEng", "Renata")
	
func Text301853():
	if int(Dialogic.get_variable("Is_Green_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Агата")
		Dialogic.set_variable("TempTextEng", "Agatha")
	elif int(Dialogic.get_variable("Is_Purple_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Дана")
		Dialogic.set_variable("TempTextEng", "Dana")
	elif int(Dialogic.get_variable("Is_Black_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Линда")
		Dialogic.set_variable("TempTextEng", "Linda")
	elif int(Dialogic.get_variable("Is_Orange_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Рената")
		Dialogic.set_variable("TempTextEng", "Renata")
	
func Text301271():
	var stringRus = ""
	var stringEng = ""
	if int(Dialogic.get_variable("Timeline130")) == 0:
		stringRus += "Генри, "
		stringEng += "Henry, "
	if int(Dialogic.get_variable("Timeline123")) == 0 and Dialogic.get_variable("2_Death_Missing") != "Gray":
		stringRus += "Роберта, "
		stringEng += "Robert, "
	if int(Dialogic.get_variable("Timeline125")) == 0 and Dialogic.get_variable("2_Death_Missing") != "Blue_M":
		stringRus += "Мартина, "
		stringEng += "Martin, "
	if int(Dialogic.get_variable("Timeline128")) == 0 and Dialogic.get_variable("1_Death_Knife") != "Purple":
		stringRus += "Дану, "
		stringEng += "Dana, "
	if int(Dialogic.get_variable("Timeline126")) == 0 and Dialogic.get_variable("1_Death_Knife") != "Black":
		stringRus += "Линду, "
		stringEng += "Linda, "
	if int(Dialogic.get_variable("Timeline121_a")) == 0:
		stringRus += "Аманду, "
		stringEng += "Amanda, "
	
	if int(Dialogic.get_variable("Timeline127")) == 0 and Dialogic.get_variable("1_Death_Knife") != "Green":
		stringRus += "Агату, "
		stringEng += "Agatha, "
	if int(Dialogic.get_variable("Timeline124")) == 0 and Dialogic.get_variable("2_Death_Missing") != "Red":
		stringRus += "Александра, "
		stringEng += "Alexander, "
	if int(Dialogic.get_variable("Timeline122")) == 0 and Dialogic.get_variable("2_Death_Missing") != "White":
		stringRus += "Джастина, "
		stringEng += "Justin, "
	if int(Dialogic.get_variable("Timeline129")) == 0:
		stringRus += "Ренату, "
		stringEng += "Renata, "
		
	stringRus.trim_suffix(", ")
	stringEng.trim_suffix(", ")
	Dialogic.set_variable("TempTextRus", stringRus)
	Dialogic.set_variable("TempTextEng", stringEng)
	

func Text302239():
	var stringRus = ""
	var stringEng = ""
	if int(Dialogic.get_variable("Timeline130")) == 0:
		stringRus += "Генри, "
		stringEng += "Henry, "
	if int(Dialogic.get_variable("Timeline123")) == 0 and Dialogic.get_variable("2_Death_Missing") != "Gray":
		stringRus += "Роберта, "
		stringEng += "Robert, "
	if int(Dialogic.get_variable("Timeline125")) == 0 and Dialogic.get_variable("2_Death_Missing") != "Blue_M":
		stringRus += "Мартина, "
		stringEng += "Martin, "
	if int(Dialogic.get_variable("Timeline128")) == 0 and Dialogic.get_variable("1_Death_Knife") != "Purple":
		stringRus += "Дану, "
		stringEng += "Dana, "
	if int(Dialogic.get_variable("Timeline126")) == 0 and Dialogic.get_variable("1_Death_Knife") != "Black":
		stringRus += "Линду, "
		stringEng += "Linda, "
	if int(Dialogic.get_variable("Timeline121")) == 0:
		stringRus += "Эмилию, "
		stringEng += "Emilia, "
	
	if int(Dialogic.get_variable("Timeline127")) == 0 and Dialogic.get_variable("1_Death_Knife") != "Green":
		stringRus += "Агату, "
		stringEng += "Agatha, "
	if int(Dialogic.get_variable("Timeline124")) == 0 and Dialogic.get_variable("2_Death_Missing") != "Red":
		stringRus += "Александра, "
		stringEng += "Alexander, "
	if int(Dialogic.get_variable("Timeline122")) == 0 and Dialogic.get_variable("2_Death_Missing") != "White":
		stringRus += "Джастина, "
		stringEng += "Justin, "
	if int(Dialogic.get_variable("Timeline129")) == 0:
		stringRus += "Ренату, "
		stringEng += "Renata, "
		
	stringRus.trim_suffix(", ")
	stringEng.trim_suffix(", ")
	Dialogic.set_variable("TempTextRus", stringRus)
	Dialogic.set_variable("TempTextEng", stringEng)

func Text4851():
	if int(Dialogic.get_variable("Is_Gray_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Роберт")
		Dialogic.set_variable("TempTextEng", "Robert")
	else :
		Dialogic.set_variable("TempTextRus", "Джастин")
		Dialogic.set_variable("TempTextEng", "Justin")
		
func Text5411():
	if int(Dialogic.get_variable("Is_Gray_Dead")) == 0:
		Dialogic.set_variable("TempTextRus", "Роберт")
		Dialogic.set_variable("TempTextEng", "Robert")
	else :
		Dialogic.set_variable("TempTextRus", "Джастин")
		Dialogic.set_variable("TempTextEng", "Justin")
		

func Choice300712():
	Dialogic.set_variable("TempTextRus", "huinya")
	var stringRus1 = ""
	var stringEng1 = ""
	var stringRus2 = ""
	var stringEng2 = ""
	
	if int(Dialogic.get_variable("Is_White_Dead")) == 0:
		stringRus1 += "Джастином, "
		stringEng1 += "Justin, "
	if int(Dialogic.get_variable("Is_Red_Dead")) == 0:
		stringRus1 += "Александром, "
		stringEng1 += "Alexander, "
	if int(Dialogic.get_variable("Is_Green_Dead")) == 0:
		stringRus1 += "Агатой, "
		stringEng1 += "Agatha, "
	if int(Dialogic.get_variable("Is_Orange_Dead")) == 0:
		stringRus1 += "Ренатой, "
		stringEng1 += "Renata, "
	if int(Dialogic.get_variable("Is_Blue_F_Dead")) == 0:
		stringRus2 += "Эмилией, "
		stringEng2 += "Emilia, "
	if int(Dialogic.get_variable("Is_Pink_Dead")) == 0:
		stringRus2 += "Амандой, "
		stringEng2 += "Amanda, "
	if int(Dialogic.get_variable("Is_Black_Dead")) == 0:
		stringRus2 += "Линдой, "
		stringEng2 += "Linda, "
	if int(Dialogic.get_variable("Is_Purple_Dead")) == 0:
		stringRus2 += "Даной, "
		stringEng2 += "Dana, "
		
	stringRus1 = stringRus1.trim_suffix(", ")
	stringEng1 = stringEng1.trim_suffix(", ")
	stringRus2 = stringRus2.trim_suffix(", ")
	stringEng2 = stringEng2.trim_suffix(", ")
	Dialogic.set_variable("TempTextRus", stringRus1)
	Dialogic.set_variable("TempTextEng", stringEng1)
	Dialogic.set_variable("TempTextRus2", stringRus2)
	Dialogic.set_variable("TempTextEng2", stringEng2)
