extends Node

func _init():
	var foldername = str(OS.get_user_data_dir(), "/slotImages");
	var dir = Directory.new();
	if not dir.dir_exists(foldername):
		dir.make_dir(foldername);

func GetScene(sceneName):
	var scene = load("res://scenes/BackgroundScenes/" + sceneName + ".tscn");
	return scene.instance();

func TakeScreenShot(slotName:String):
	
	var filename = slotName;
	if "slot" in slotName:
		filename = slotName.replace("slot", "");
	
	var screenShotsPath = str(OS.get_user_data_dir(), "/slotImages/", filename, ".png");
	var _temp = get_viewport().get_texture().get_data().save_png(screenShotsPath)
