extends Node

const WindowStateEnum = {
	Windowed = 0, 
	Borderless = 1, 
	Fullscreen = 2, 
}




var Language = "";
var VoiceLanguage = "en";

var WindowState = WindowStateEnum.Fullscreen;
var ScreenResolution = "-";
var LowProcessor = false;

var GeneralVolume = 40;
var MusicVolume = 50;
var DialogueVolume = 60;
var EffectsVolume = 30;

var AutoRead:bool = false;
var SkipSeen:bool = false;
var TextSpeed:int = 5;
var DefaultTheme:bool = true
var TextColor:int = Color.white.to_rgba32();
var BackgroundColor:int = Color.black.to_rgba32();

var TwitchEnabled:bool = false;
var TwitchChannel:String = "";
var TwitchTimer:int = 60;

var Explanation:bool = true;

var AsyncBackgroundLoading:bool = true;

var UseDlc:bool = true;

var Version:String = "1.3";
